Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.genetic.genes
Class BasicGene

    java.lang.Object
      org.encog.ml.genetic.genes.BasicGene

All Implemented Interfaces:
  Serializable, Comparable<Gene>, Gene

Direct Known Subclasses:
  CharGene, DoubleGene, IntegerGene, NEATLinkGene, NEATNeuronGene

    public abstract class BasicGene

extends Object
implements Gene, Serializable

Implements the basic functionality for a gene. This is an abstract class.

See Also:
  Serialized Form

Constructor Summary
`BasicGene()`

Method Summary
`int` | `compareTo(Gene o)`
`long` | `getId()` Get the ID of this gene, -1 for undefined.
`long` | `getInnovationId()`
`boolean` | `isEnabled()`
`void` | `setEnabled(boolean e)` Determine if this gene is enabled.
`void` | `setId(long i)` Set the id for this gene.
`void` | `setInnovationId(long theInnovationID)` Set the innovation id for this gene.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.encog.ml.genetic.genes.Gene
`copy`

Constructor Detail

### BasicGene

    public BasicGene()

Method Detail

### compareTo

    public final int compareTo(Gene o)

  Specified by:
    `compareTo` in interface `Comparable<Gene>`

### getId

    public final long getId()

  Description copied from interface: `Gene`
  Get the ID of this gene, -1 for undefined.

  Specified by:
    `getId` in interface `Gene`
  Returns:
    The id of this gene.

### getInnovationId

    public final long getInnovationId()

  Specified by:
    `getInnovationId` in interface `Gene`
  Returns:
    The innovation id of this gene.

### isEnabled

    public final boolean isEnabled()

  Specified by:
    `isEnabled` in interface `Gene`
  Returns:
    True, if this gene is enabled.

### setEnabled

    public final void setEnabled(boolean e)

  Description copied from interface: `Gene`
  Determine if this gene is enabled.

  Specified by:
    `setEnabled` in interface `Gene`
  Parameters:
    `e` - True, if this gene is enabled.

### setId

    public final void setId(long i)

  Set the id for this gene.

  Parameters:
    `i` - The id for this gene.

### setInnovationId

    public final void setInnovationId(long theInnovationID)

  Set the innovation id for this gene.

  Parameters:
    `theInnovationID` - The innovation id for this gene.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.